//
//  BMKMultiRouteSelectedView.h
//  BMKMultiRoutePlanDemo
//
//  Created by zhangbaojin on 2020/5/22.
//  Copyright © 2020 zhangbaojin. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class BNCarOneRouteModel;

@interface BMKRouteBoxView : UIView

/// 配置route数据
- (void)configInfo:(BNCarOneRouteModel *)info;

/// 选中回调
- (void)selected:(void(^)(NSUInteger NSUInteger))selectedBlock;

/// 恢复初始状态
- (void)restore;

/// 高亮状态
- (void)highlighted;

@end

@interface BMKMultiRouteSelectedView : UIView

/// 配置路线数据
- (void)configData:(NSArray<BNCarOneRouteModel *> *)routes;

/// 设置选中第几条route
- (void)multiRouteSelected:(NSUInteger)index;

/// 方案选中回调
- (void)routeSelected:(void(^)(NSUInteger index))selectedBlock;

@end

NS_ASSUME_NONNULL_END
